Commit 326166b9 authored by Joseph Weston's avatar Joseph Weston

add jupyterlab_git and jupyterlab_black extensions

parent e6ff1d6e
Pipeline #23003 failed with stages
in 52 seconds
......@@ -68,13 +68,20 @@ RUN conda env update -n root -f /environments/python3.yml && \
# Add a dev environment (e.g. with dev kwant and holoviews)
# RUN conda env create -p /opt/conda/envs/dev -f /environments/dev.yml
# Enable `jupyter nbextension`s
RUN jupyter nbextension enable --py --sys-prefix ipyparallel && \
jupyter nbextension enable --py --sys-prefix jupyter_cms && \
jupyter nbextension enable --py --sys-prefix nbserverproxy && \
jupyter labextension install @jupyter-widgets/jupyterlab-manager \
@jupyterlab/katex-extension @jupyterlab/latex \
jupyterlab_bokeh @pyviz/jupyterlab_pyviz
jupyter labextension install \
@jupyter-widgets/jupyterlab-manager \
@jupyterlab/katex-extension
@jupyterlab/latex \
jupyterlab_bokeh \
@pyviz/jupyterlab_pyviz \
@ryantam626/jupyterlab_black \
&& \
jupyter lab build # apparently jupyterlab-git needs this
# prevent nb_conda_kernels from overriding our custom kernel manager
RUN rm /opt/conda/etc/jupyter/jupyter_notebook_config.json
......
......@@ -28,4 +28,5 @@ NBApp.nbserver_extensions = {
"jupyter_cms": True,
"ipyparallel.nbextension": True,
"nbserverproxy": True,
""
}
......@@ -24,6 +24,7 @@ dependencies:
- jupyter_cms
- jupyterlab
- jupytext
- jupyterlab_git
- line_profiler
- nbdime
- nbstripout
......@@ -54,3 +55,4 @@ dependencies:
- git+https://github.com/basnijholt/adaptive-tools
- qtplot
- python-gitlab
- git+https://github.com/ryantam626/jupyterlab_black
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment